// Telemetry.h : main header file for the Telemetry DLL
//

#pragma once

#include "decl.h"
#include "Utils/ssp.h"

// The global dll info structure.
extern AFX_EXTENSION_MODULE TelemetryDLL;

extern "C" LPCTSTR TELEMETRY_DECL GetTelemetryPath();
extern "C" LPCTSTR TELEMETRY_DECL GetTelemetryVersion();

typedef bool (* PERFORMBASICFORMAT) (bool& FormatResult, CString Name, CString Format, TData& Buffer, int Group);

// Example:
// Name: "GPRS"
// Format: "SelfTimed"

extern "C" PERFORMBASICFORMAT TELEMETRY_DECL g_PerformBasicFormat;

typedef CString (* SMSCOMMAND) (CString Cmd, CString UserName);

// Example:
// Cmd: "REDIR www.sutron.com:3003"
// UserName: "operator"

extern "C" SMSCOMMAND TELEMETRY_DECL g_SMSCommand;


